# IBM_PROLOG_BEGIN_TAG
#
# serviceable.event.provider 1.0.0  
#
# Licensed Materials - Property of IBM
#
# Restricted Materials of IBM
#
# COPYRIGHT International Business Machines Corp. 2014,2014
# All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# IBM_PROLOG_END_TAG
'''
Created on Apr 16, 2014

@author: Chen Shao Jie
'''
import sys
import os
import SnmpConstants

if len(sys.argv) == 2:
    if sys.argv[1] == "-k" or sys.argv[1] == "-h" or sys.argv[1] == "--help" :
        print "usage: getSubscriber"
    else:
        print "Unknown parameter"
        print "usage: getSubscriber"
elif len(sys.argv) > 2:
    print "Unknown parameter"
    print "usage: getSubscriber"
else:
    if not os.path.isfile(SnmpConstants.HOST_PATH):
        print ("There are no subscribers configured")
        sys.exit(1)
    
    if os.path.getsize(SnmpConstants.HOST_PATH) <= 0 :
        print ("There are no subscribers configured")
        sys.exit(1)
    try:
        fop = open(SnmpConstants.HOST_PATH, "r")
        i = 1
        while True:
            line = fop.readline()
            if line:
                print ("Subscriber_" + str(i) + ": " + line.replace("|", ","))
            else:
                break
            i += 1
    except IOError:
        pass
    finally:
        fop.close()
  
    
